Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 712069 - Review Request: smartirc4net - an IRC connection library for Mono/.net
Summary: Review Request: smartirc4net - an IRC connection library for Mono/.net
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-06-09 12:27 UTC by Alex Hudson (Fedora Address)
Modified: 2014-07-12 13:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-12 13:27:09 UTC


Attachments (Terms of Use)

Description Alex Hudson (Fedora Address) 2011-06-09 12:27:19 UTC
Spec URL: http://alexh.fedorapeople.org/reviews/smartirc4net/smartirc4net.spec
SRPM URL: http://alexh.fedorapeople.org/reviews/smartirc4net/smartirc4net-0.4.5.1-2.fc15.src.rpm
Description: 

SmartIrc4net is a multi-threaded and thread-safe IRC library written 
in C#. It allows you to communicate with IRC servers. The API features 
full channel syncing and is split in 3 layers: IrcConnection, IrcCommands 
and IrcClient.


This is a pretty simple package, and is used by Smuxi (not yet in Fedora) and SparkleShare (open for review, #629744). It's basically rpmlint clean:

$ rpmlint rpmbuild/SPECS/smartirc4net.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/smartirc4net-0.4.5.1-2.fc15.src.rpm 
smartirc4net.src: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I'm open to suggestions on the spelling error - I think it's fine :)

There are warnings on the binary RPMs:

$ rpmlint rpmbuild/RPMS/x86_64/smartirc4net-*
smartirc4net.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
smartirc4net.x86_64: E: no-binary
smartirc4net.x86_64: W: only-non-binary-in-usr-lib
smartirc4net.x86_64: E: incorrect-fsf-address /usr/share/doc/smartirc4net-0.4.5.1/LICENSE
smartirc4net-devel.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
smartirc4net-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/smartirc4net-devel-0.4.5.1/LICENSE
2 packages and 0 specfiles checked; 3 errors, 3 warnings.

The incorrect FSF addresses are bugs that I will address upstream. The other warnings and errors, spelling apart, are "normal" for Mono packages as I understand it.

Comment 1 Julian Aloofi 2012-05-14 21:57:36 UTC
If you're still interested in getting the package into the repo I'd be willing to review this.

Comment 2 Mirco Bauer 2013-11-23 23:02:51 UTC
This library is no longer needed by SparkleShare nor Smuxi

Comment 3 Christopher Meng 2013-11-24 00:00:18 UTC
Alex, 

If you can't respond to this in a month, I'll close it as DEAD REVIEW.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.